Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model.iterators
Class DeclarativeTreeDataModelCompositeTuplesIterator

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.collect.ForwardingIterator<org.richfaces.model.TreeDataModelTuple>
              org.richfaces.model.iterators.DeclarativeTreeDataModelCompositeTuplesIterator

All Implemented Interfaces:
  Iterator<org.richfaces.model.TreeDataModelTuple>

    public class DeclarativeTreeDataModelCompositeTuplesIterator

extends com.google.common.collect.ForwardingIterator<org.richfaces.model.TreeDataModelTuple>

Constructor Summary
`DeclarativeTreeDataModelCompositeTuplesIterator(javax.faces.component.UIComponent component, SequenceRowKey key)`

Method Summary
`protected Iterator<org.richfaces.model.TreeDataModelTuple>` | `delegate()`

Methods inherited from class com.google.common.collect.ForwardingIterator
`hasNext, next, remove`

Methods inherited from class com.google.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeclarativeTreeDataModelCompositeTuplesIterator

    public DeclarativeTreeDataModelCompositeTuplesIterator(javax.faces.component.UIComponent component,
                                                           SequenceRowKey key)

Method Detail

### delegate

    protected Iterator<org.richfaces.model.TreeDataModelTuple> delegate()

  Overrides:
    `delegate` in class `com.google.common.collect.ForwardingIterator<org.richfaces.model.TreeDataModelTuple>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.